%define section free

Name:           violinstrings
Version:        1.0.2
Release:        1jpp
Epoch:          0
Summary:        Static methods to manipulate strings
License:        X11
Vendor:         JPackage Project
Distribution:   JPackage
Source0:	http://vigna.dsi.unimi.it/ViolinStrings/violinstrings-1.0.2-src.tar.gz
URL:            http://vigna.dsi.unimi.it/ViolinStrings/
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:	jpackage-utils >= 0:1.5, ant, /bin/bash

%description 
The ViolinStrings library provides a "Strings" class containing static methods
to manipulate string usually to be found in other common string classes like
those known from C++. You do not have to change your normal Java strings or
replace the Java String class with another class.

This version of ViolinStrings is an X11-relicensed version of the original code
by Michael Schmeling.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

%build
export CLASSPATH=
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Nov 17 2003 Sebastiano Vigna <vigna@acm.org> 0:1.0.2-1jpp
- Fixed small bug
* Mon Nov 17 2003 Sebastiano Vigna <vigna@acm.org> 0:1.0.1-1jpp
- First JPackage version
